#!/bin/bash
[ "$#" -lt 1 ] && { echo "At least 1 argument required, $# provided."; exit 1; }
[ "$(whoami)" != 'root' ] && { echo "You must be root to run this script!"; exit 1; }

vg=`cat /etc/xen_drbd/vg`

if [ "$#" -ge 2 ]
then
	vg="$2"	
fi

sed "s/phy:\/dev\/${vg}\//drbd:/g" /etc/xen/${1}.cfg >  /etc/xen/${1}.cfg.tmp && mv  /etc/xen/${1}.cfg.tmp  /etc/xen/${1}.cfg

#sed "s/${vg}\//drbd_/g" /etc/xen/${1}.cfg | sed "s/phy/drbd/g" >  /etc/xen/${1}.cfg.tmp && mv  /etc/xen/${1}.cfg.tmp  /etc/xen/${1}.cfg
