#!/bin/bash
[ "$#" -lt 2 ] && { echo "At least 2 arguments required, $# provided."; exit 1; }
[ "$(whoami)" != 'root' ] && { echo "You must be root to run this script!"; exit 1; }

toolpath="/usr/lib/xen_drbd"

for VM in $*
do
        echo $VM
	$toolpath/migrate.sh $VM
done
