#!/bin/bash
[ "$#" -ne 3 ] && { echo "3 arguments required: minor # (0 for new systems), Volume Group name, and Secondayr Server IP. $# provided."; exit 1; }
[ "$(whoami)" != 'root' ] && { echo "You must be root to run this script!"; exit 1; }

toolpath="/usr/lib/xen_drbd"

#everything in here needs to be run as root..
chown root:root $toolpath/*
chmod 744 $toolpath/*.sh

mkdir -p /etc/xen_drbd
echo $1 > /etc/xen_drbd/minor
echo $2 > /etc/xen_drbd/vg
echo $3 > /etc/xen_drbd/server

echo "Installing monitor to crontab, please be sure to update your email in mon.sh"
(crontab -l; echo "*/5 * * * * ${toolpath}/mon.sh") | crontab

echo "remember to setup $toolpath/drbd.res with hostnames, ips, and volume groups..."
#sed "s/vg_placeholder/${2}/g" $toolpath/drbd.res > $toolpath/drbd.res.tmp && mv $toolpath/drbd.res.tmp $toolpath/drbd.res

